Subject: [5200] ATA and (BAD) interrupts question

From: "Albrecht Dreß" <[email-masked]>
Date: Tue, 28 Jul 2009 14:50:51 +0200 (CEST)

Hi all,

I run linux 2.6.29.1 from kernel.org on a custom Freescale MPC5200B based board, which has a CF card attached to the 5200's ATA.  The CF seems to run nicely, but I am somewhat confused by the interrupts reproted by the kernel.

Immediately after the boot, /proc/interrupts reports (inter alia)

135:          8  MPC52xx Peripherals Edge      mpc52xx_ata
194:          0  MPC52xx SDMA Edge      ATA task
BAD:         44

Then I say 'mount -t vfat -o noatime /dev/sda1 /mnt/cf0', and I get

135:         41  MPC52xx Peripherals Edge      mpc52xx_ata
194:          0  MPC52xx SDMA Edge      ATA task
BAD:         44

Then, I recursively copy a folder to the CF card:

135:     125111  MPC52xx Peripherals Edge      mpc52xx_ata
194:          0  MPC52xx SDMA Edge      ATA task
BAD:     121863

Is it correct that the "ATA task" interrupts are still 0, and that I get such a high number of BAD ones?  Is there a way to detect which source actually triggered the BAD interrupts?

Thanks in advance,
Albrecht.

Der E-Mail-Dienst PIA basic belegt im Test der Stiftung Warentest unter den kostenfreien Angeboten mit dem Qualitätsurteil 3,0  den zweiten Platz!
(Testheft Juli 2009, Artikel "E-Mail-Dienste - Besser gratis")
JETZT TESTEN: www.arcor.de/rd/pia_sw